Page MenuHomePhabricator

Provide better error and warning messages for invalid SyntaxHighlight attributes
Closed, DuplicatePublic

Description

I'm in the process of updating my wiki (1.26wmf18) and would like to use the shiny new pygments-backed SyntaxHighlight. During testing I keep getting a "Pages with syntax highlighting errors" category added with nothing in the console (or anywhere else I can see). Debugging what's going on is near impossible.

This Commit mentioned that a warning would come in a follow-up patch.

https://gerrit.wikimedia.org/r/#/c/221311/

Is there anything I can do in the interim to figure out what is causing the errors? I have MW debugging turned on, and have even reverted to the 1.25 release (vs master) and am still having issues. When using the 1.25 release I get the following:

Warning: OutputPage::getModuleStyles: style module should define its position explicitly: ext.geshi.language.sql ResourceLoaderGeSHiModule [Called from OutputPage::getModuleStyles in /var/www/html/w/includes/OutputPage.php at line 624] in /var/www/html/w/includes/debug/MWDebug.php on line 300

repeated 3 more times.

Event Timeline

Ckoerner created this task.Aug 14 2015, 3:05 PM
Ckoerner raised the priority of this task from to Needs Triage.
Ckoerner updated the task description. (Show Details)
Ckoerner added a project: SyntaxHighlight.
Ckoerner added a subscriber: Ckoerner.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 3:05 PM